cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
87202
Views
42
Helpful
12
Replies

The VPN service is not available. Exiting on a MAC OSX Catalina

mmsosa
Level 1
Level 1

    Hello! I want to install Cisco AnyConnect 4.804036 on a MacBookPro with OS Catalina 10.15.4 and when is about to finish the installation process, I get this error:

Screen Shot 2020-03-30 at 16.51.09.png

after that I can see the AnyConnect icon installed under the applications folder, but when I cliched, after a while I get this error:

Screen Shot 2020-03-30 at 16.53.44.png

 

    I uninstalled and try it again and I get the same results.. Please help!! 

 

Thank you in advance!

 

12 Replies 12

Francesco Molino
VIP Alumni
VIP Alumni
Hi

You can open the console in macos to see if any error is visible while installing the package.

Quit the anyconnect software.
Try to start the service using the command:
launchctl load /Library/LaunchDaemons/com.cisco.anyconnect.vpnagentd.plist

Try to restart it to see if it works.

Thanks
Francesco
PS: Please don't forget to rate and select as validated answer if this answered your question

My AnyConnect UI did not start up, I was able to resolve the issue by unloading and loading the vpnagentd daemon. Thanks!

 

sudo launchctl unload /Library/LaunchDaemons/com.cisco.anyconnect.vpnagentd.plist

sudo launchctl load /Library/LaunchDaemons/com.cisco.anyconnect.vpnagentd.plist

you can also enable this launch agent on any macOS management software like CleanMyMac X, instead of typing the commands in Terminal.

 

In CleanMyMac X, go to Optimization, then Launch Agent,

 

search keyword anyconnect,

 

then the com cisco anyconnect vpnagentd (spaces are all periods) should show up, and you can just go ahead and enable it. 

 

note This solved my problem but I was still unable to use the Anyconnect. I ended up reducing my macOS startup disk security level to medium and reinstalled the AnyConnect to solved all of my problems

Cristian Matei
VIP Alumni
VIP Alumni

Hi,

 

   Is this an upgrade from an existing version, or is it a new install? What was the version you were running before? Have you granted all permissions during installation?

 

Regards,

Cristian Matei.

the previous version was 4.8.01090 where the error appears the first time.. I remove it and install the new one 4.8.03036 (sorry about the wrong number of the version at the first comment, it was a mistake) and got the same result with any of the versions, and yes I have all permissions during installation.

mmsosa
Level 1
Level 1

 

 

thank you for your answers!! the command "launchctl load /Library/LaunchDaemons/com.cisco.anyconnect.vpnagentd.plist" was helpful to pass the VPN service error, but now when I try to connect, I get a new one:

Screen Shot 2020-04-05 at 11.08.41.png

at the console, the installation does report an error (attaching AnyConn_Install_Console_Report.txt)  any other suggestion?

 

   thank you !!

Are you trying to install all modules or just VPN?
During installation, can you unselect all modules and just keep the core module VPN and DART?
Have you tried installing another version (e.g. 4.8.02042) for example?
Did you already had an anyconnect working on this computer? Any antivirus/malware system running? Can you try disable it while installation is on-going? You attached anyconnect logging but did you look at your mac os console to see if something else happened when failing?

Thanks
Francesco
PS: Please don't forget to rate and select as validated answer if this answered your question

Hello Francesco! I tried both cases: -only VPN, and - all the modules and got the same results
I tried with 3 different versions: 4.7.04, 4.8.01, 4.8.03.. same results.
I disabled firewall and AMP4E, and got the same results.

any other suggestion? :(

And obviously with a user that has admin rights?
If you uninstalled it completely and removed all files regarding anyconnect, then installed it from scratch and still an issue, honestly I don't see why and no more suggestion.
Also if anything (tools, features) that can impact installation like AV, FW... have been disable but still no success... I suggest you raise a TAC case.

Thanks
Francesco
PS: Please don't forget to rate and select as validated answer if this answered your question

I struggled for weeks trying to figure out the problem. But I am glad to inform you that I found a solution 

 

I figured this out by reducing the macOS startup disk's security level. It seems to be the kernel extension is blocked by macOS.

 

You can search on youtube: "Enable KERNEL Extensions on MacOS Big Sur" about how to enable kernel extensions

 

Apple Support also have some article  "About Startup Security Utility" which you can look at

 

Once I did that, I installed cisco anyconnect with no problem at all (make sure to enable the extension in Security&Privacy in System Preferences).

LaszloP111
Level 1
Level 1

Dear @mmsosa ,

 

I had the same exact issue and the solution for me was the following:

  1. I deleted the app
  2. reinstalled the app (received the same error message: "The installation failed.")
  3. checked console: console.app / Log reports / Install.log
    // there was a line: /Library/LaunchDaemons/com.cisco.anyconnect.vpnagentd.plist: Service is disabled
    just as mentioned earlier...
  4. Since I used a cleaner app earlier to fine-tune which processes can run at system startup, I opened it again (MacCleaner Pro) and reenabled all Cisco related processes (not just the above vpnagentd.plist):
    cisco.png
  5. And was able to run the client and connect without any issues.

In case you use a cleaner app you might want to check whether it blocked some of these processes.


Best regards,
László

Huan Wang
Level 1
Level 1

I had a similar problem the other day, but mine was with macOS 13.0 Beta. After persistent attempts to solve the problem, one solution may be effective:

 

1.Remove Cisco from the Applications folder (includes all Cisco components);

 

2.Download a higher version of Cisco from the Internet and reinstall (my previous version was 4.10.04085 and the updated version installed is 4.10.05111).

 

Hope my answer is helpful.